from dataclasses_json import dataclass_json
from dataclasses import dataclass
from modules.lines_utils import Point

from models.EnumStatusPOI import EnumStatusPOI

@dataclass_json
@dataclass
class PointOfInterest:
    uuid: str = ''
    name: str = ''
    x: float = 0
    y: float = 0
    order: float = 0
    status: EnumStatusPOI = EnumStatusPOI.NotSet
    is_selected: bool = False
